openbsd-ports/net/ocserv/patches/patch-tests_common_sh
sthen a93fac0172 import ports/net/ocserv, ok/feedback jasper@
OpenConnect VPN server (or ocserv) implements the AnyConnect SSL VPN
protocol and is compatible with the OpenConnect VPN client. Its purpose
is to be a small, secure and configurable VPN server that depends on
standard protocols like TLS 1.2, and Datagram TLS. The AnyConnect
SSL VPN protocol was the closest protocol to match this requirement.

The VPN users can be authenticated using password, certificate
authentication or both methods. Authenticated users are assigned their
own unprivileged worker process and obtain a networking (tun) device
and IP from a configurable pool of addresses.
2015-03-26 02:07:59 +00:00

13 lines
372 B
Plaintext

$OpenBSD: patch-tests_common_sh,v 1.1.1.1 2015/03/26 02:07:59 sthen Exp $
--- tests/common.sh.orig Thu Mar 26 01:58:49 2015
+++ tests/common.sh Thu Mar 26 01:58:52 2015
@@ -27,7 +27,7 @@ if [ $? != 0 ];then
exit 77
fi
-if ! test -x /usr/sbin/openconnect;then
+if ! test -x /usr/local/sbin/openconnect;then
echo "You need openconnect to run this test"
exit 77
fi